Endpoints for integrating Ason into your platform. API Reference also available as Swagger UI.
Query user memberships of the tenant.
path Parameters
tenantIdThe tenant id
query Parameters
filterThe OData filter expression (with support for attribute fields)
orderByThe OData order-by expression (with support for attribute fields)
resultThe query result type: items, count or items with count (default: result items)
The query result type
selectThe OData field selection expression
skipThe number of items in the queried collection that are to be skipped
statusThe object status (default: all status)
The object status
topThe number of items in the queried collection
Headers
Content-TypeThe request content type
Query user memberships of the tenant. › Responses
The user memberships matching the query, their count, or both, depending on result.
countThe query result count
The query result items
Create a new user membership for the tenant
path Parameters
tenantIdThe tenant id
Headers
Content-TypeThe request content type
Create a new user membership for the tenant › Request Body
userIdThe user id
The role of a user in a tenant
employeeIdThe employee id, mandatory for the self-service role
Create a new user membership for the tenant › Responses
The created user membership.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
tenantIdThe tenant id
userIdThe user id
employeeIdThe employee id
firstNameThe first name of the user.
lastNameThe last name of the user.
The role of a user in a tenant
Query user memberships invitations of the tenant.
path Parameters
tenantIdThe tenant id
Headers
Content-TypeThe request content type
Query user memberships invitations of the tenant. › Responses
The invitations of the tenant.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
tenantIdThe tenant id
tenantIdentifierThe tenant identifier
emailThe email
The role of a user in a tenant
employeeIdThe employee id for the user membership.
expiresAtThe expiration date and time for the user membership invitation.
Invites a user to the tenant
path Parameters
tenantIdThe tenant id
Headers
Content-TypeThe request content type
Invites a user to the tenant › Request Body
emailThe email address the invitation is sent to
The role of a user in a tenant
employeeIdThe employee id, mandatory for the self-service role
Invites a user to the tenant › Responses
The created invitation.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
tenantIdThe tenant id
tenantIdentifierThe tenant identifier
emailThe email
The role of a user in a tenant
employeeIdThe employee id for the user membership.
expiresAtThe expiration date and time for the user membership invitation.
Update the user membership
path Parameters
tenantIdThe tenant id
userMembershipIdThe user membership id
Headers
Content-TypeThe request content type
Update the user membership › Request Body
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
tenantIdThe tenant id
userIdThe user id
employeeIdThe employee id
firstNameThe first name of the user.
lastNameThe last name of the user.
The role of a user in a tenant
Update the user membership › Responses
The updated user membership.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
tenantIdThe tenant id
userIdThe user id
employeeIdThe employee id
firstNameThe first name of the user.
lastNameThe last name of the user.
The role of a user in a tenant
Removes a user membership from the tenant
path Parameters
tenantIdThe tenant id
userMembershipIdThe id of the user membership
Headers
Content-TypeThe request content type
Removes a user membership from the tenant › Responses
The user membership was removed.
Get a user membership invitation sent to the current user
path Parameters
invitationIdThe invitation id
Headers
Content-TypeThe request content type
Get a user membership invitation sent to the current user › Responses
The invitation, including the tenant identifier.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
tenantIdThe tenant id
tenantIdentifierThe tenant identifier
emailThe email
The role of a user in a tenant
employeeIdThe employee id for the user membership.
expiresAtThe expiration date and time for the user membership invitation.
Accept a user membership invitation sent to the current user
path Parameters
invitationIdThe invitation id
Headers
Content-TypeThe request content type
Accept a user membership invitation sent to the current user › Responses
The invitation was accepted, and you are now a member of the tenant.
